#!/usr/bin/env node
'use strict';

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _ramda = require('ramda');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Lazy loading and cache of an internal ES6 module
 *
 * @param {String} module - Module to evaluate
 * @return {*}
 */
var getModule = (0, _ramda.memoize)(function () {
    return require((0, _ramda.concat)('./').apply(undefined, arguments));
});

/**
 * Entry point of Rung CLI
 *
 * @param {Object} args
 */
function cli(args) {
    var _args$_ = (0, _slicedToArray3.default)(args._, 1),
        command = _args$_[0];

    return getModule(command).default(args).catch(function (err) {
        getModule('input').emitError(err.message);
        process.exit(1);
    });
}

cli(_yargs2.default.usage('Usage: $0 [build|run|publish|readme|db]').command('build', 'Generate a .rung package').command('publish [file]', 'Publishes the app to the Rung store').command('run', 'Execute the current app').command('boilerplate', 'Generates the boilerplate files for your app').command('readme', 'Generates the README.md file to publish').command('db [option]', '[read|clear] Read or clear db for app').command('test', 'Executes the tests written for your app').option('o', {
    alias: 'output',
    describe: 'Where to save the built package',
    type: 'string'
}).option('raw', {
    describe: 'Display returned data as it is',
    type: 'boolean'
}).option('live', {
    describe: 'Live mode',
    type: 'boolean'
}).option('file', {
    describe: 'File to publish to Rung Store',
    type: 'string'
}).strict().demandCommand(1).recommendCommands().help().version().argv);
//# sourceMappingURL=cli.js.map